ManageIQ ManageIQ

manageiq

41 26 1

ManageIQ Open-Source Management Platform

You have 1 open security alert

Reports Beta

Some reports are compatible with your project but none of them has been enabled.

Dependencies

Package Locked Requirement Latest Status Changelog
Gems activerecord-id_regions ~> 0.2.0 0.2.0

activerecord-id_regions

ActiveRecord extension to allow partitioning ids into regions, for merge replication purposes

This dependency is up-to-date. Congrats and keep going!

Gems activerecord-session_store ~> 1.0.0 1.1.0

activerecord-session_store

An Action Dispatch session store backed by an Active Record class.

This dependency is not matching latest version. Please consider upgrading.

Gems acts_as_tree ~> 2.1.0 2.6.1

acts_as_tree

A gem that adds simple support for organizing ActiveRecord models into parent–children relationships.

This dependency is not matching latest version. Please consider upgrading.

Gems amazon_ssa_support >= 0

Gems american_date >= 0 1.1.1

american_date

American style month/day/year date parsing for ruby 1.9

This dependency is up-to-date. Congrats and keep going!

Gems ancestry ~> 2.2.1 3.0.1

ancestry

Ancestry allows the records of a ActiveRecord model to be organized in a tree structure, using a single, intuitively formatted database column. It exposes all the standard tree structure relations (ancestors, parent, root, children, siblings, descendants) and all of them can be fetched in a single sql query. Additional features are named_scopes, integrity checking, integrity restoration, arrangement of (sub)tree into hashes and different strategies for dealing with orphaned records.

This dependency is not matching latest version. Please consider upgrading.

Gems bundler >= 1.11.1 1.15.3

bundler

Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably

This dependency is up-to-date. Congrats and keep going!

Gems color ~> 1.8 1.8

color

Color is a Ruby library to provide basic RGB, CMYK, HSL, and other colourspace manipulation support to applications that require it. It also provides 152 named RGB colours (184 with spelling variations) that are commonly supported in HTML, SVG, and X11 applications. A technique for generating monochromatic contrasting palettes is also included. The Color library performs purely mathematical manipulation of the colours based on colour theory without reference to colour profiles (such as sRGB or Adobe RGB). For most purposes, when working with RGB and HSL colour spaces, this won't matter. Absolute colour spaces (like CIE L*a*b* and XYZ) and cannot be reliably converted to relative colour spaces (like RGB) without colour profiles. Color 1.8 adds an alpha parameter to all <tt>#css_rgba</tt> calls, fixes a bug exposed by new constant lookup semantics in Ruby 2, and ensures that <tt>Color.equivalent?</tt> can only be called on Color instances. Barring bugs introduced in this release, this (really) is the last version of color that supports Ruby 1.8, so make sure that your gem specification is set properly (to <tt>~> 1.8</tt>) if that matters for your application. This version will no longer be supported one year after the release of color 2.0.

This dependency is up-to-date. Congrats and keep going!

Gems config ~> 1.3.0 1.4.0

config

Easiest way to manage multi-environment settings in any ruby project or framework: Rails, Sinatra, Pandrino and others

This dependency is not matching latest version. Please consider upgrading.

Gems dalli ~> 2.7.4 2.7.6

dalli

High performance memcached client for Ruby

This dependency is up-to-date. Congrats and keep going!

Gems default_value_for ~> 3.0.2 3.0.2

default_value_for

The default_value_for plugin allows one to define default values for ActiveRecord models in a declarative manner

This dependency is up-to-date. Congrats and keep going!

Gems elif = 0.1.0 0.1.0

elif

A port of File::ReadBackwards, the Perl module by Uri Guttman, for reading a file in reverse, line by line. This can often be helpful for things like log files, where the interesting information is usually at the end.

This dependency is up-to-date. Congrats and keep going!

Gems fast_gettext ~> 1.2.0 1.4.1

fast_gettext

A simple, fast, memory-efficient and threadsafe implementation of GetText

This dependency is not matching latest version. Please consider upgrading.

Gems gettext_i18n_rails ~> 1.7.2 1.8.0

gettext_i18n_rails

Simple FastGettext Rails integration.

This dependency is not matching latest version. Please consider upgrading.

Gems gettext_i18n_rails_js ~> 1.1.0 1.3.0

gettext_i18n_rails_js

It will find translations inside your .js and .coffee files, then it will create JSON versions of your .PO files and will let you serve them with the rest of your assets, thus letting you access all your translations offline from client side javascript.

This dependency is not matching latest version. Please consider upgrading.

Gems hamlit ~> 2.7.0 2.8.4

hamlit

High Performance Haml Implementation

This dependency is not matching latest version. Please consider upgrading.

Gems handsoap ~> 0.2.5 1.4.0

handsoap

Handsoap is a library for creating SOAP clients in Ruby

Gems inifile ~> 3.0 3.0.0

inifile

Although made popular by Windows, INI files can be used on any system thanks to their flexibility. They allow a program to store configuration data, which can then be easily parsed and changed. Two notable systems that use the INI format are Samba and Trac. More information about INI files can be found on the [Wikipedia Page](http://en.wikipedia.org/wiki/INI_file). ### Properties The basic element contained in an INI file is the property. Every property has a name and a value, delimited by an equals sign *=*. The name appears to the left of the equals sign and the value to the right. name=value ### Sections Section declarations start with *[* and end with *]* as in `[section1]` and `[section2]` shown in the example below. The section declaration marks the beginning of a section. All properties after the section declaration will be associated with that section. ### Comments All lines beginning with a semicolon *;* or a number sign *#* are considered to be comments. Comment lines are ignored when parsing INI files. ### Example File Format A typical INI file might look like this: [section1] ; some comment on section1 var1 = foo var2 = doodle var3 = multiline values \ are also possible [section2] # another comment var1 = baz var2 = shoodle

This dependency is up-to-date. Congrats and keep going!

Gems kubeclient ~> 2.4.0 2.4.0

kubeclient

A client for Kubernetes REST api

This dependency is up-to-date. Congrats and keep going!

Gems manageiq-api-client ~> 0.1.0

Gems manageiq-gems-pending > 0

Gems manageiq-network_discovery ~> 0.1.1 0.1.1

manageiq-network_discovery

ManageIQ Network Discovery

This dependency is up-to-date. Congrats and keep going!

Gems mini_mime >= 0.1.1 0.1.3

mini_mime

A lightweight mime type lookup toy

This dependency is up-to-date. Congrats and keep going!

Gems more_core_extensions ~> 3.2 3.2.0

more_core_extensions

MoreCoreExtensions are a set of core extensions beyond those provided by ActiveSupport.

This dependency is up-to-date. Congrats and keep going!

Gems nakayoshi_fork ~> 0.0.3 0.0.3

nakayoshi_fork

nakayoshi_fork gem solves CoW friendly problem on MRI 2.2 and later.

This dependency is up-to-date. Congrats and keep going!

Gems net-ldap ~> 0.14.0 0.16.0

net-ldap

Net::LDAP for Ruby (also called net-ldap) implements client access for the Lightweight Directory Access Protocol (LDAP), an IETF standard protocol for accessing distributed directory services. Net::LDAP is written completely in Ruby with no external dependencies. It supports most LDAP client features and a subset of server features as well. Net::LDAP has been tested against modern popular LDAP servers including OpenLDAP and Active Directory. The current release is mostly compliant with earlier versions of the IETF LDAP RFCs (2251-2256, 2829-2830, 3377, and 3771). Our roadmap for Net::LDAP 1.0 is to gain full <em>client</em> compliance with the most recent LDAP RFCs (4510-4519, plutions of 4520-4532).

This dependency is not matching latest version. Please consider upgrading.

Gems net-ping ~> 1.7.4 2.0.1

net-ping

The net-ping library provides a ping interface for Ruby. It includes separate TCP, HTTP, LDAP, ICMP, UDP, WMI (for Windows) and external ping classes.

This dependency is not matching latest version. Please consider upgrading.

Gems net-ssh = 3.2.0 4.1.0

net-ssh

Net::SSH: a pure-Ruby implementation of the SSH2 client protocol. It allows you to write programs that invoke and interact with processes on remote servers, via SSH2.

This dependency is not matching latest version. Please consider upgrading.

Gems openscap ~> 0.4.3 0.4.7

openscap

A FFI wrapper around the OpenSCAP library. Currently it provides only subset of libopenscap functionality.

This dependency is up-to-date. Congrats and keep going!

Gems query_relation ~> 0.1.0

Gems rails ~> 5.0.2 5.1.2

rails

Ruby on Rails is a full-stack web framework optimized for programmer happiness and sustainable productivity. It encourages beautiful code by favoring convention over configuration.

This dependency is not matching latest version. Please consider upgrading.

Gems rails-i18n ~> 5.x 5.0.4

rails-i18n

A set of common locale data and translations to internationalize and/or localize your Rails applications.

This dependency is up-to-date. Congrats and keep going!

Gems rake >= 11.0 12.0.0

rake

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are specified in standard Ruby syntax. Rake has the following features: * Rakefiles (rake's version of Makefiles) are completely defined in standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to worry about (is that a tab or a space?) * Users can specify tasks with prerequisites. * Rake supports rule patterns to synthesize implicit tasks. * Flexible FileLists that act like arrays but know about manipulating file names and paths. * Supports parallel execution of tasks.

This dependency is up-to-date. Congrats and keep going!

Gems rest-client ~> 2.0.0 2.0.2

rest-client

A simple HTTP and REST client for Ruby, inspired by the Sinatra microframework style of specifying actions: get, put, post, delete.

This dependency is up-to-date. Congrats and keep going!

Gems ripper_ruby_parser >= 0 1.0.0

ripper_ruby_parser

RipperRubyParser is a parser for Ruby based on Ripper that aims to be a drop-in replacement for RubyParser.

This dependency is up-to-date. Congrats and keep going!

Gems ruby-progressbar ~> 1.7.0 1.8.1

ruby-progressbar

Ruby/ProgressBar is an extremely flexible text progress bar library for Ruby. The output can be customized with a flexible formatting system including: percentage, bars of various formats, elapsed time and estimated time remaining.

This dependency is not matching latest version. Please consider upgrading.

Gems rubyzip ~> 1.2.1 1.2.1

rubyzip

rubyzip is a ruby module for reading and writing zip files

This dependency is up-to-date. Congrats and keep going!

Gems rugged ~> 0.25.0 0.26.0

rugged

Rugged is a Ruby bindings to the libgit2 linkable C Git library. This is for testing and using the libgit2 library in a language that is awesome.

This dependency is not matching latest version. Please consider upgrading.

Gems simple-rss ~> 1.3.1 1.3.1

simple-rss

A simple, flexible, extensible, and liberal RSS and Atom reader for Ruby. It is designed to be backwards compatible with the standard RSS parser, but will never do RSS generation.

This dependency is up-to-date. Congrats and keep going!

Gems snmp ~> 1.2.0 1.2.0

snmp

A Ruby implementation of SNMP (the Simple Network Management Protocol).

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems ansible_tower_client ~> 0.12.2

Gems brakeman ~> 3.3 3.7.0

brakeman

Brakeman detects security vulnerabilities in Ruby on Rails applications via static analysis.

This dependency is up-to-date. Congrats and keep going!

Gems capybara ~> 2.5.0 2.14.4

capybara

Capybara is an integration testing tool for rack based web applications. It simulates how a user would interact with a website

This dependency is not matching latest version. Please consider upgrading.

Gems codeclimate-test-reporter ~> 1.0.0 1.0.8

codeclimate-test-reporter

Collects test coverage data from your Ruby test suite and sends it to Code Climate's hosted, automated code review service. Based on SimpleCov.

This dependency is up-to-date. Congrats and keep going!

Gems coveralls >= 0 0.8.21

coveralls

A Ruby implementation of the Coveralls API.

This dependency is up-to-date. Congrats and keep going!

Gems factory_girl ~> 4.5.0 4.8.0

factory_girl

factory_girl provides a framework and DSL for defining and using factories - less error-prone, more explicit, and all-around easier to work with than fixtures.

This dependency is not matching latest version. Please consider upgrading.

Gems fog-google >= 0.5.2 0.5.3

fog-google

This library can be used as a module for `fog` or as standalone provider to use the Google in applications.

This dependency is up-to-date. Congrats and keep going!

Gems foreman_api_client >= 0.1.0

Gems google-api-client ~> 0.8.6 0.13.1

google-api-client

Client for accessing Google APIs

This dependency is not matching latest version. Please consider upgrading.

Gems haml_lint ~> 0.20.0 0.26.0

haml_lint

Configurable tool for writing clean and consistent HAML

This dependency is not matching latest version. Please consider upgrading.

Gems htauth = 2.0.0 2.0.0

htauth

HTAuth is a pure ruby replacement for the Apache support programs htdigest and htpasswd. Command line and API access are provided for access to htdigest and htpasswd files.

This dependency is up-to-date. Congrats and keep going!

Gems jbuilder ~> 2.5.0 2.7.0

jbuilder

Create JSON structures via a Builder-style DSL

This dependency is not matching latest version. Please consider upgrading.

Gems manageiq-smartstate ~> 0.1.1 0.1.2

manageiq-smartstate

ManageIQ SmartState Analysis

This dependency is up-to-date. Congrats and keep going!

Gems open4 ~> 1.3.0 1.3.4

open4

open child process with handles on pid, stdin, stdout, and stderr: manage child processes and their io handles easily.

This dependency is up-to-date. Congrats and keep going!

Gems ovirt-engine-sdk ~> 4.1.4 4.1.8

ovirt-engine-sdk

Ruby SDK for the oVirt Engine API.

This dependency is up-to-date. Congrats and keep going!

Gems ovirt_metrics ~> 1.4.1 1.4.1

ovirt_metrics

OvirtMetrics is an ActiveRecord-based gem for reading the oVirt History database.

This dependency is up-to-date. Congrats and keep going!

Gems parallel_tests >= 0 2.14.2

parallel_tests

Run Test::Unit / RSpec / Cucumber / Spinach in parallel

This dependency is up-to-date. Congrats and keep going!

Gems pg-pglogical ~> 1.1.0 1.1.0

pg-pglogical

This gem provides a class with methods which map directly to the SQL stored procedure APIs provided by pglogical. It also provides a way to mix these methods directly into the ActiveRecord connection object.

This dependency is up-to-date. Congrats and keep going!

Gems puma ~> 3.3.0 3.9.1

puma

Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for Ruby/Rack applications. Puma is intended for use in both development and production environments. In order to get the best throughput, it is highly recommended that you use a Ruby implementation with real threads like Rubinius or JRuby.

This dependency is not matching latest version. Please consider upgrading.

Gems rails-controller-testing >= 0 1.0.2

rails-controller-testing

Extracting `assigns` and `assert_template` from ActionDispatch.

This dependency is up-to-date. Congrats and keep going!

Gems responders ~> 2.0 2.4.0

responders

A set of Rails responders to dry up your application

This dependency is up-to-date. Congrats and keep going!

Gems rspec-rails ~> 3.6.0 3.6.0

rspec-rails

rspec-rails is a testing framework for Rails 3+.

This dependency is up-to-date. Congrats and keep going!

Gems rubocop ~> 0.47.0 0.49.1

rubocop

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Security alert:

Gems ruby-dbus >= 0 0.13.0

ruby-dbus

Pure Ruby module for interaction with D-Bus IPC system

This dependency is up-to-date. Congrats and keep going!

Gems rufus-scheduler ~> 3.1.3 3.4.2

rufus-scheduler

Job scheduler for Ruby (at, cron, in and every jobs). Not a replacement for crond.

This dependency is not matching latest version. Please consider upgrading.

Gems scss_lint ~> 0.48.0 0.54.0

scss_lint

Configurable tool for writing clean and consistent SCSS

This dependency is not matching latest version. Please consider upgrading.

Gems secure_headers ~> 3.0.0 3.6.7

secure_headers

Manages application of security headers with many safe defaults.

This dependency is not matching latest version. Please consider upgrading.

Gems simplecov >= 0 0.14.1

simplecov

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

This dependency is up-to-date. Congrats and keep going!

Gems sqlite3 >= 0 1.3.13

sqlite3

This module allows Ruby programs to interface with the SQLite3 database engine (http://www.sqlite.org). You must have the SQLite engine installed in order to build this module. Note that this module is only compatible with SQLite 3.6.16 or newer.

This dependency is up-to-date. Congrats and keep going!

Gems sshkey ~> 1.8.0 1.9.0

sshkey

Generate private/public SSH keypairs using pure Ruby

This dependency is not matching latest version. Please consider upgrading.

Gems timecop ~> 0.7.3 0.9.1

timecop

A gem providing "time travel" and "time freezing" capabilities, making it dead simple to test time-dependent code. It provides a unified method to mock Time.now, Date.today, and DateTime.now in a single call.

This dependency is not matching latest version. Please consider upgrading.

Gems vcr ~> 3.0.2 3.0.3

vcr

Record your test suite's HTTP interactions and replay them during future test runs for fast, deterministic, accurate tests.

This dependency is up-to-date. Congrats and keep going!

Gems vmware_web_service ~> 0.1.1 0.1.3

vmware_web_service

A ruby interface to Vmware Web Services SDK

This dependency is up-to-date. Congrats and keep going!

Gems webmock ~> 2.3.1 3.0.1

webmock

WebMock allows stubbing HTTP requests and setting expectations on HTTP requests.

This dependency is not matching latest version. Please consider upgrading.

Gems websocket-driver ~> 0.6.3 0.6.5

websocket-driver

WebSocket protocol handler with pluggable I/O

This dependency is up-to-date. Congrats and keep going!